### Partition

Category

Import and Export

Function

Partitions a data set for parallel processing.

Syntax

    partitioned = Partition(input, n, size);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field or group | none | field to be partitioned
`n` | integer | machine dependent | maximum number of subparts
`size` | integer | one primitive | threshold for partitioning

Outputs

Name | Type | Description
--- | --- | ---
`partitioned` | field or group | set of partitioned fields

Functional Details

This module partitions a data set for parallel processing on an SMP multiprocessor machine. (You must be using Data Explorer SMP to take advantage of this feature.) Its output is a composite field, which is treated as a single entity by other modules.

`input` | is the input object to be partitioned. If this parameter specifies a group, each group member is partitioned with the same `n` and `size` parameters.
`n` | is the approximate number of partitions to be created. However, the module will not create partitions smaller than `size` (see below).
`size` | is the minimum number of connection elements per partition. If `n` × `size` is larger than the total number of points, the output number of partitions may be smaller than `n` If you do not specify `n` or `size`, appropriate default values are supplied, depending on the number of processors available.

Note: On a uniprocessor machine, n = 1 by default. Consequently, the same programs can be run on uniprocessor and multiprocessor machines without modification.

Components

All components in the input are propagated to the output.

Example Visual Programs

    ExampleSMP.net

See Also

Import

[ OpenDX Home at IBM | OpenDX.org ]